Changelogs » Aldryn-faq

PyUp Safety actively tracks 263,329 Python packages for vulnerabilities and notifies you when to upgrade.

Aldryn-faq

2.1.2

------------------
  
  * django-parler >= 1.8.1 is now required

2.1.1

------------------
  
  * Changed the category field label

2.1.0

------------------
  
  * Dropped django CMS 3.2 & 3.3 support

2.0.0

------------------
  
  * Introduced django CMS 3.5 support
  * Added Django 1.10 support
  * Dropped aldryn-reversion/django-reversion support
  * Dropped Django 1.6 and 1.7 support

1.2.3

------------------
  
  * Updated translations

1.2.2

------------------
  
  * Fixed related_name inconsistency with django CMS 3.3.1
  * Dropped support for djangoCMS < 3.2
  * Introduced support for djangoCMS 3.4.0

1.2.1

------------------
  
  * Added support for cache durations fields in "time-sensitive" plugins on django CMS 3.3.0+
  * Updated translations

1.2.0

------------------
  
  * Compatibility for Py35, Dj19, and CMS33 combinations
  * Improved frontend testing

1.1.1

------------------
  
  * Update test matrices for Py35, Dj19, and CMS33 combinations

1.1.0

------------------
  
  * Add stripped default django templates to `/aldryn_faq/templates`
  * Remove unused render_placeholder configs
  * Add static_placeholders where necessary
  * Simplify templates

1.0.13

-------------------
  
  * Fixes error if tags were filled with non-ascii characters.
  * Added an optional description field to category.

1.0.12

-------------------
  
  * Add Django 1.9 support.
  * Clean up test environments.
  * Add default FaqConfig migrations.

1.0.11

-------------------
  
  * Adjust requirements for django-reversion to allow 1.10

1.0.10

-------------------
  
  * Improves support for current versions of django-reversion
  * Adds FE tests against DMS 3.2

1.0.9

------------------
  
  * Adds reversion support to wizards
  * Updates test configuration

1.0.8

------------------
  
  * Fixes issue with toolbar (when language is different than the page language)
  * Fixes issue for plugins if category didn't had a valid namespace
  * Fixes Attribute error on menu processing

1.0.7

------------------
  
  * Wizards for CMS 3.2
  * Fix issue when updating form <1.0.6 to 1.0.7+ (slug generation for questions)
  **Note** that 1.0.6 is still affected.

1.0.6

------------------
  
  * Support for Django 1.8
  * Updated requirements
  * More reversion support
  * Added permalink options and support

1.0.5

------------------
  
  * Improvements to FAQ CMSToolbar

1.0.4

------------------
  
  * Documentation improvements
  * Pins Aldryn Translation Tools to >=0.1.0
  * Pins Aldryn Reversion to >=0.1.0
  * Pins Aldryn Boilerplates to >=0.6.0
  * Improvements to FAQ CMSToolbar

1.0.3

------------------
  
  * Unrestrict Aldryn Translation Tools version.

1.0.2

------------------
  
  * Much better handling of language fallbacks
  * Add automated frontend tests and configuration
  * Improved admin display of translations
  * Fix up some dependencies

0.13.0

-------------------
  
  * README cleanups
  * Adds documentation
  * Categories in the CategoryList plugin are now re-arrangeable via drag-and-drop
  as opposed to manually managing a sort metric.
  * The Category List view and the Question List pages in different apphooks can
  now be presented differently if so required via new Placeholder Fields.
  * The older, Static Placeholders still remain for this release, but are marked
  in the mark-up as "DEPRECATED". Please use this release to migrate any plugins
  in these plugins to their respective PlaceholderField replacements. These will
  be remove in the next release.

0.12.6

-------------------
  
  * Use get_current_language from cms instead get_language from Django because Django bug 9340

0.12.0

-------------------
  
  * Adds reversion support
  * Switch to django-admin-sortable2 v0.5.0 or later

0.11.0

-------------------
  
  * multi-boilerplate support
  new requirement: aldryn-boilerplates (needs configuration)
  * added bootstrap templates